#[derive(Debug, PartialEq, Eq, PartialOrd, Ord, Hash, Default)]
enum Weekdays {
    #[default]
    Mon,
    Tue,
    Wed,
    Thu,
    Fri,
    Sat,
    Sun,
}

fn main() {
    let w = Weekdays::default();
    println!("{:?}", w);
}
